Subject: Re: [PATCH] Make rheap safe for spinlocks

From: Timur Tabi <[email-masked]>
Date: Mon, 14 Apr 2008 15:02:14 -0500

Kumar Gala wrote:

> Is this need to fix a bug with an existing driver of for a new driver?

Both.  The ucc_geth driver calls qe_muram_alloc() with spinlocks held.  The 8610
DIU driver does something similar, but it's targeted for 2.6.26.

I'm hesitant to recommend inclusion in 2.6.25 because I haven't tested the fix
throughly enough to know that it doesn't break something else.  Technically, it
could result in qe_muram_alloc() failing.

-- 
Timur Tabi
Linux kernel developer at Freescale